package com.fuyuanshen.equipment.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 设备状态枚举
 *
 * @author: 默苍璃
 * @date: 2025-06-1916:02
 */
@Getter
@AllArgsConstructor
public enum DeviceStatusEnum {

    /**
     * 失效
     */
    INVALID(0, "失效"),

    /**
     * 正常
     */
    NORMAL(1, "正常");

    /**
     * 状态码
     */
    private final Integer code;

    /**
     * 描述
     */
    private final String description;

    /**
     * 根据状态码获取描述
     *
     * @param code 状态码
     * @return 描述
     */
    public static String getDescriptionByCode(Integer code) {
        for (DeviceStatusEnum status : DeviceStatusEnum.values()) {
            if (status.getCode().equals(code)) {
                return status.getDescription();
            }
        }
        return null;
    }

}